[package] update squid to 2.6STABLE23
authorFlorian Fainelli <florian@openwrt.org>
Wed, 11 Nov 2009 13:43:05 +0000 (13:43 +0000)
committerFlorian Fainelli <florian@openwrt.org>
Wed, 11 Nov 2009 13:43:05 +0000 (13:43 +0000)
SVN-Revision: 18373

net/squid/Makefile
net/squid/patches/001-cross_compile.patch
net/squid/patches/003-configure.patch
net/squid/patches/005-lib-makefile.patch
net/squid/patches/006-netfilter_missing_linux_types_h.patch [deleted file]

index 29e3fd5..ba9ed67 100644 (file)
@@ -8,12 +8,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=squid
-PKG_VERSION:=2.6.STABLE14
+PKG_VERSION:=2.6.STABLE23
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
 PKG_SOURCE_URL:=http://www.squid-cache.org/Versions/v2/2.6/
-PKG_MD5SUM:=eadb138d48320df8b99349121159c6bf
+PKG_MD5SUM:=71aa24580f8a538ad84037bf2ac6f078
 
 include $(INCLUDE_DIR)/package.mk
 
@@ -131,6 +131,7 @@ CONFIGURE_ARGS += \
 
 CONFIGURE_VARS += \
        ac_cv_header_linux_netfilter_ipv4_h=yes \
+       ac_cv_epoll_works=yes \
 
 define Build/Compile
        # pass INCLUDES to compile host sources against our OpenSSL, not the host one
index e322bfb..1678120 100644 (file)
@@ -1,7 +1,7 @@
-Index: squid-2.6.STABLE14/src/ctype.c
+Index: squid-2.6.STABLE23/src/ctype.c
 ===================================================================
 --- /dev/null  1970-01-01 00:00:00.000000000 +0000
-+++ squid-2.6.STABLE14/src/ctype.c     2007-07-25 16:04:15.000000000 -0500
++++ squid-2.6.STABLE23/src/ctype.c     2009-11-11 14:01:34.000000000 +0100
 @@ -0,0 +1,546 @@
 +/*
 + Static ctype data for IFC-7.1 / RedHat-9 workaround.
@@ -549,17 +549,17 @@ Index: squid-2.6.STABLE14/src/ctype.c
 +const uint32_t *__ctype32_tolower = b (uint32_t, tolower, 128);
 +const uint32_t *__ctype32_toupper = b (uint32_t, toupper, 128);
 +
-Index: squid-2.6.STABLE14/src/Makefile.in
+Index: squid-2.6.STABLE23/src/Makefile.in
 ===================================================================
---- squid-2.6.STABLE14.orig/src/Makefile.in    2007-07-25 16:04:15.000000000 -0500
-+++ squid-2.6.STABLE14/src/Makefile.in 2007-07-25 16:04:15.000000000 -0500
-@@ -1219,6 +1219,9 @@
-       $(SHELL) -c "test -f squid.conf.default || ./cf_gen cf.data"
+--- squid-2.6.STABLE23.orig/src/Makefile.in    2009-09-17 01:33:37.000000000 +0200
++++ squid-2.6.STABLE23/src/Makefile.in 2009-11-11 14:02:33.000000000 +0100
+@@ -1191,6 +1191,9 @@
+       true
  
  cf_parser.h: cf.data cf_gen$(EXEEXT)
 +      rm -f cf_gen
 +      gcc -c ctype.c
 +      gcc -o cf_gen cf_gen.c -DNODEBUG=1 -I./ -I../ -I../include/ -L../lib -lmiscutil$(shell uname -m) -lm -lnsl -Wl,ctype.o
-       ./cf_gen cf.data 
+       ./cf_gen cf.data $(srcdir)/cf.data.depend
  
  cf_gen_defines.h: $(srcdir)/cf_gen_defines $(srcdir)/cf.data.pre
index 8683e11..d8453b6 100644 (file)
@@ -1,8 +1,8 @@
-Index: squid-2.6.STABLE14/configure
+Index: squid-2.6.STABLE23/configure
 ===================================================================
---- squid-2.6.STABLE14.orig/configure  2007-07-25 16:04:15.000000000 -0500
-+++ squid-2.6.STABLE14/configure       2007-07-25 16:04:16.000000000 -0500
-@@ -4298,10 +4298,6 @@
+--- squid-2.6.STABLE23.orig/configure  2009-09-17 01:35:13.000000000 +0200
++++ squid-2.6.STABLE23/configure       2009-11-11 14:19:11.000000000 +0100
+@@ -5053,10 +5053,6 @@
    if test -z "$SSLLIB"; then
      SSLLIB="-lcrypto" # for MD5 routines
    fi
@@ -13,216 +13,37 @@ Index: squid-2.6.STABLE14/configure
    CPPFLAGS="${SSLFLAGS} $CPPFLAGS"
  fi
  
-@@ -8780,7 +8776,7 @@
+@@ -26292,7 +26288,7 @@
  See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
$as_echo "$as_me: error: cannot run test program while cross compiling
  See \`config.log' for more details." >&2;}
 -   { (exit 1); exit 1; }; }
 +   { (true); true; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
  /* confdefs.h.  */
-@@ -9194,7 +9190,7 @@
+@@ -26455,8 +26451,7 @@
+   { { $as_echo "$as_me:$LINENO: error: cannot run test program while cross compiling
  See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -9608,7 +9604,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -10022,7 +10018,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -10436,7 +10432,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -10850,7 +10846,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -11361,7 +11357,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -11889,7 +11885,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -12417,7 +12413,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -12945,7 +12941,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -13473,7 +13469,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -14001,7 +13997,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
+ $as_echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
 -   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -14529,7 +14525,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -15057,7 +15053,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -15585,7 +15581,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -16113,7 +16109,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -16641,7 +16637,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -17169,7 +17165,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -17697,7 +17693,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -22106,7 +22102,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -24523,7 +24519,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
- else
-   cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
-@@ -24687,7 +24683,7 @@
- See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
- See \`config.log' for more details." >&2;}
--   { (exit 1); exit 1; }; }
-+   { (true); true; }; }
++See \`config.log' for more details." >&2;} }
  else
    cat >conftest.$ac_ext <<_ACEOF
  /* confdefs.h.  */
-@@ -24809,7 +24805,7 @@
+@@ -26707,7 +26702,7 @@
  See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
$as_echo "$as_me: error: cannot run test program while cross compiling
  See \`config.log' for more details." >&2;}
 -   { (exit 1); exit 1; }; }
 +   { (true); true; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
  /* confdefs.h.  */
-@@ -24918,7 +24914,7 @@
+@@ -26789,7 +26784,7 @@
  See \`config.log' for more details." >&5
- echo "$as_me: error: cannot run test program while cross compiling
$as_echo "$as_me: error: cannot run test program while cross compiling
  See \`config.log' for more details." >&2;}
 -   { (exit 1); exit 1; }; }
 +   { (true); true; }; }
index e026184..1f094db 100644 (file)
@@ -1,8 +1,8 @@
-Index: squid-2.6.STABLE14/lib/Makefile.in
+Index: squid-2.6.STABLE23/lib/Makefile.in
 ===================================================================
---- squid-2.6.STABLE14.orig/lib/Makefile.in    2007-07-25 16:04:15.000000000 -0500
-+++ squid-2.6.STABLE14/lib/Makefile.in 2007-07-25 16:04:16.000000000 -0500
-@@ -65,7 +65,9 @@
+--- squid-2.6.STABLE23.orig/lib/Makefile.in    2009-09-17 01:33:17.000000000 +0200
++++ squid-2.6.STABLE23/lib/Makefile.in 2009-11-11 14:16:09.000000000 +0100
+@@ -61,7 +61,9 @@
        splay.c Stack.c strsep.c stub_memaccount.c util.c uudecode.c \
        win32lib.c
  @NEED_OWN_MD5_TRUE@am__objects_1 = md5.$(OBJEXT)
@@ -12,7 +12,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  @NEED_OWN_STRSEP_TRUE@am__objects_3 = strsep.$(OBJEXT)
  @ENABLE_MINGW32SPECIFIC_TRUE@am__objects_4 = win32lib.$(OBJEXT)
  am_libmiscutil_a_OBJECTS = Array.$(OBJEXT) base64.$(OBJEXT) \
-@@ -76,7 +78,19 @@
+@@ -72,7 +74,19 @@
        $(am__objects_2) splay.$(OBJEXT) Stack.$(OBJEXT) \
        $(am__objects_3) stub_memaccount.$(OBJEXT) util.$(OBJEXT) \
        uudecode.$(OBJEXT) $(am__objects_4)
@@ -32,7 +32,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  libntlmauth_a_AR = $(AR) $(ARFLAGS)
  libntlmauth_a_DEPENDENCIES = @LIBOBJS@
  am_libntlmauth_a_OBJECTS = ntlmauth.$(OBJEXT)
-@@ -94,15 +108,19 @@
+@@ -90,15 +104,19 @@
  am__depfiles_maybe = depfiles
  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -54,15 +54,15 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  ETAGS = etags
  CTAGS = ctags
  DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-@@ -112,6 +130,7 @@
- AMDEP_TRUE = @AMDEP_TRUE@
+@@ -106,6 +124,7 @@
+ ALLOCA = @ALLOCA@
  AMTAR = @AMTAR@
  AR = @AR@
 +HOST_AR = ar
  AR_R = @AR_R@
  AUTH_LIBS = @AUTH_LIBS@
  AUTH_MODULES = @AUTH_MODULES@
-@@ -124,6 +143,7 @@
+@@ -118,6 +137,7 @@
  CACHE_HTTP_PORT = @CACHE_HTTP_PORT@
  CACHE_ICP_PORT = @CACHE_ICP_PORT@
  CC = @CC@
@@ -70,7 +70,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  CCDEPMODE = @CCDEPMODE@
  CFLAGS = @CFLAGS@
  CGIEXT = @CGIEXT@
-@@ -194,6 +214,8 @@
+@@ -165,6 +185,8 @@
  NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
  NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
  OBJEXT = @OBJEXT@
@@ -79,7 +79,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  OPT_DEFAULT_HOSTS = @OPT_DEFAULT_HOSTS@
  PACKAGE = @PACKAGE@
  PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-@@ -303,6 +325,7 @@
+@@ -264,6 +286,7 @@
  noinst_LIBRARIES = \
        @LIBDLMALLOC@ \
        libmiscutil.a \
@@ -87,7 +87,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
        libntlmauth.a \
        @LIBREGEX@ \
        $(LIBSSPWIN32)
-@@ -337,9 +360,34 @@
+@@ -298,9 +321,34 @@
        uudecode.c \
        $(WIN32SRC)
  
@@ -122,7 +122,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  # $(top_srcdir)/include/version.h should be a dependency
  libregex_a_SOURCES = \
        GNUregex.c
-@@ -360,7 +408,7 @@
+@@ -321,7 +369,7 @@
  all: all-am
  
  .SUFFIXES:
@@ -131,7 +131,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
        @for dep in $?; do \
          case '$(am__configure_deps)' in \
-@@ -397,10 +445,13 @@
+@@ -358,10 +406,13 @@
        -rm -f libdlmalloc.a
        $(libdlmalloc_a_AR) libdlmalloc.a $(libdlmalloc_a_OBJECTS) $(libdlmalloc_a_LIBADD)
        $(RANLIB) libdlmalloc.a
@@ -146,7 +146,7 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
  libntlmauth.a: $(libntlmauth_a_OBJECTS) $(libntlmauth_a_DEPENDENCIES) 
        -rm -f libntlmauth.a
        $(libntlmauth_a_AR) libntlmauth.a $(libntlmauth_a_OBJECTS) $(libntlmauth_a_LIBADD)
-@@ -451,6 +502,21 @@
+@@ -412,6 +463,21 @@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uudecode.Po@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/win32lib.Po@am__quote@
@@ -167,8 +167,8 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
 +
  
  .c.o:
- @am__fastdepCC_TRUE@  if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@@ -459,6 +525,9 @@
+ @am__fastdepCC_TRUE@  $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@@ -420,6 +486,9 @@
  @AMDEP_TRUE@@am__fastdepCC_FALSE@     DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  @am__fastdepCC_FALSE@ $(COMPILE) -c $<
  
@@ -176,5 +176,5 @@ Index: squid-2.6.STABLE14/lib/Makefile.in
 +      $(HOST_COMPILE) -o $(shell basename $< .c).o.$(shell uname -m) -c $<
 +
  .c.obj:
- @am__fastdepCC_TRUE@  if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
- @am__fastdepCC_TRUE@  then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+ @am__fastdepCC_TRUE@  $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
+ @am__fastdepCC_TRUE@  mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
diff --git a/net/squid/patches/006-netfilter_missing_linux_types_h.patch b/net/squid/patches/006-netfilter_missing_linux_types_h.patch
deleted file mode 100644 (file)
index 56c15c8..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
---- a/src/client_side.c
-+++ b/src/client_side.c
-@@ -92,6 +92,7 @@
- #endif
- #if LINUX_NETFILTER
-+#include <linux/types.h>
- #include <linux/netfilter_ipv4.h>
- #endif
---- a/src/forward.c
-+++ b/src/forward.c
-@@ -37,6 +37,7 @@
- #include "squid.h"
- #if LINUX_NETFILTER
-+#include <linux/types.h>
- #include <linux/netfilter_ipv4.h>
- #endif
- #if LINUX_TPROXY